package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.util.Objects;

/**
 * OUI and description
 */
@ApiModel(description = "OUI and description")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class OuiAndDescription   {
  @JsonProperty("oui")
  private String oui;

  @JsonProperty("description")
  private String description;

  public OuiAndDescription oui(String oui) {
    this.oui = oui;
    return this;
  }

  /**
   * Organizationally unique identifier, should be upper MAC
   * @return oui
  */
  @ApiModelProperty(required = true, value = "Organizationally unique identifier, should be upper MAC")
  @NotNull


  public String getOui() {
    return oui;
  }

  public void setOui(String oui) {
    this.oui = oui;
  }

  public OuiAndDescription description(String description) {
    this.description = description;
    return this;
  }

  /**
   * The description of OUI should contain 1 to 128 characters., could be empty
   * @return description
  */
  @ApiModelProperty(value = "The description of OUI should contain 1 to 128 characters., could be empty")


  public String getDescription() {
    return description;
  }

  public void setDescription(String description) {
    this.description = description;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    OuiAndDescription ouiAndDescription = (OuiAndDescription) o;
    return Objects.equals(this.oui, ouiAndDescription.oui) &&
        Objects.equals(this.description, ouiAndDescription.description);
  }

  @Override
  public int hashCode() {
    return Objects.hash(oui, description);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class OuiAndDescription {\n");
    
    sb.append("    oui: ").append(toIndentedString(oui)).append("\n");
    sb.append("    description: ").append(toIndentedString(description)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

